## FolksSearchView

FolksSearchView — A view of FolksIndividuals which match a given FolksQuery.

## Types and Values

#define | FOLKS_TYPE_SEARCH_VIEW
struct | FolksSearchView
struct | FolksSearchViewClass

## Description

The search view supports ‘live’ and ‘snapshot’ search results. Live results will continue to update over a long period of time as persona stores go online and offline or individuals are edited so they start or stop matching the FolksQuery.

For a shell search provider, for example, snapshot results are appropriate. For a search in a contacts UI, live results are more appropriate as they will update over time as other edits are made in the application.

In both cases, "individuals" is guaranteed to be correct after ``folks_search_view_prepare()`` finishes.

For live results, continue listening to the "individuals-changed-detailed" signal.

## Functions

## Types and Values

### FOLKS_TYPE_SEARCH_VIEW

    #define FOLKS_TYPE_SEARCH_VIEW (folks_search_view_get_type ())

The type for FolksSearchView.

### struct FolksSearchView

    struct FolksSearchView {
    	GObject parent_instance;
    	FolksSearchViewPrivate * priv;
    };

A view of FolksIndividuals which match a given FolksQuery.

The search view supports ‘live’ and ‘snapshot’ search results. Live results will continue to update over a long period of time as persona stores go online and offline or individuals are edited so they start or stop matching the FolksQuery.

For a shell search provider, for example, snapshot results are appropriate. For a search in a contacts UI, live results are more appropriate as they will update over time as other edits are made in the application.

In both cases, "individuals" is guaranteed to be correct after ``folks_search_view_prepare()`` finishes.

For live results, continue listening to the "individuals-changed-detailed" signal.

Since: 0.11.0

### struct FolksSearchViewClass

    struct FolksSearchViewClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_SEARCH_VIEW`. All the fields in this structure are private and should never be accessed directly.

#### Members